"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var toPairs_1 = require("./toPairs");
test('should return pairs', function () {
    var actual = (0, toPairs_1.toPairs)({ a: 1, b: 2, c: 3 });
    expect(actual).toEqual([
        ['a', 1],
        ['b', 2],
        ['c', 3],
    ]);
});
test('should return pairs, strict', function () {
    var actual = toPairs_1.toPairs.strict({ a: 1, b: 2, c: 3 });
    expect(actual).toEqual([
        ['a', 1],
        ['b', 2],
        ['c', 3],
    ]);
});
test('stricter typing', function () {
    var actual = toPairs_1.toPairs.strict({ a: 1, b: 2, c: 3 });
    var isEqual = true;
    expect(isEqual).toEqual(true);
});
test('stricter typing with optional', function () {
    var actual = toPairs_1.toPairs.strict({});
    var isEqual = true;
    expect(isEqual).toEqual(true);
});
test('stricter typing with undefined', function () {
    var actual = toPairs_1.toPairs.strict({ a: undefined });
    var isEqual = true;
    expect(isEqual).toEqual(true);
});
test('stricter with a broad type', function () {
    var actual = toPairs_1.toPairs.strict({ a: 1, b: 2, c: 3 });
    var isEqual = true;
    expect(isEqual).toEqual(true);
});
