export declare function toPairs<T>(object: {
    [s: string]: T;
}): Array<[string, T]>;
declare type ObjectKeys<T extends object> = `${Exclude<keyof T, symbol>}`;
declare type ObjectValues<T extends Record<PropertyKey, unknown>> = Required<T>[ObjectKeys<T>];
declare type ObjectEntry<T extends Record<PropertyKey, unknown>> = [
    ObjectKeys<T>,
    ObjectValues<T>
];
declare type ObjectEntries<T extends Record<PropertyKey, unknown>> = Array<ObjectEntry<T>>;
export declare namespace toPairs {
    function strict<T extends Record<PropertyKey, unknown>>(object: T): ObjectEntries<T>;
}
export {};
//# sourceMappingURL=toPairs.d.ts.map